#ifndef CFractBatch_H
#define CFractBatch_H

#include <CGraflibRaw.h>
#include <CGraflibTga.h>

class CFractBatch
{
	public:
	
		CFractBatch()
		{
		  mSaveRaw = false;
		}

		void ParseBatchFile(string BatchFile, int Width, int Height, int Iter, int Threads);
		bool mSaveRaw; // falls true, wird das Fraktal auch als Raw-Datei gespeichert

	protected:

		CFraktBitmap mFractParams;

//		SFractParams mFractParams;
/*
		void RenderTga(const string& TgaFilename, int Width, int Height, int Iter,
		     int Threads, const CRectT<double>* frect, const SColorProfile* color);
*/
		void RenderTga(const string& TgaFilename, int Threads);
		void CalcFraktal(CGraflib* tga, const CRectT<double>* frect, int Iter,
		     int Threads, const SColorProfile* color);

		//void CreateFractBitmap(int* FractData, int Width, CPixel24* Bitmap, const SColorProfile* color);
		void CreateFractBitmap2(int* FractData, CPixel24* Bitmap);

		void CalcFraktalThread(CGraflibTga* tga, CGraflib* raw, int Threads);
/*
		void CalcFraktalThread(CGraflib* tga, const CRectT<double>* frect,
         int Iter, int Threads, const SColorProfile* color);
*/
		CSuperThread mSuperThread;
		
		

};

#endif
