#ifndef CFRACTTHREAD_H
#define CFRACTTHREAD_H

class CFractThread : public CThread
{
	public:
	
		CFractThread()
		{
			mFractData = NULL;
		}

		~CFractThread()
		{
			delete mFractData;
		}

		void ThreadServiceRoutine(void);
		
		int               mWidth;     // Width in Pixel 
		int               mIter;      // Number of Iterations
		CComplex<double>  mC;         // Complex Koor
		double            mStepX;
		int*              mFractData;	// Pointer to calculated data
};

#endif
