#ifndef CFraktBitmap_H
#define CFraktBitmap_H

#include <CPixel24.h>
#include <CDataRect.h>
#include "CLogTable.h"
#include "SColorProfile.h"
#include "SFractParams.h"

class CFraktBitmap : public SFractParams
{
	public:

		CFraktBitmap()
		{
			mInitTables = false;
		}

		void CreateFractBitmap(const int* FractData, CPixel24* Bitmap, int Lines);

	protected:

		void CreateColorTables(float fr, float fg, float fb, unsigned char* RedTable, unsigned char* GreenTable, unsigned char* BlueTable);

		bool          mInitTables;
		unsigned char* mRedTable;
		unsigned char* mGreenTable;
		unsigned char* mBlueTable;
		CLogTable<int> mLogtable;
};


#endif
