#ifndef CLOGTABLE_H
#define CLOGTABLE_H

template <typename T>
class CLogTable
{
	public:

		CLogTable()
		{
			mMap = NULL;
		}
		~CLogTable()
		{
			delete[] mMap;
		}


		void Init(T iv, T ib, T mapv, T mapb, double p, bool CreateMap=true);

		T GetLogTable(T v);
		T GetLogMap(T v);

	protected:

		T* mMap;
		T  mIntervVon;
		T  mIntervBis;
		T  mMapVon;
		T  mMapBis;
		int mMapSize;

		double mPotenz;
};

#include "CLogTable.hpp"

#endif
