#ifndef CPICWRITER_H
#define CPICWRITER_H

#include <CFileIO.h>
#include <CPixel24.h>
#include <CGraflibTga.h>

class CPicWriter
{
	public:

		void InitPicWriter(CGraflibTga* tga);

		void Sync(void);
		void AddBitmap(CPixel24* BitmapData);
		void Finish(void);


	protected:

		int               mAntiAlias;
		list<CPixel24*>   mDataLines;
		CGraflibTga*      mTga;
};

#endif
