

#ifndef CGRAFLIBRAW
#define CGRAFLIBRAW

#include <CFileIO.h>
#include <SFileReadInfo.h>
#include <CDataRect.h>
#include <CGraflib.h>
#include <SRawHeader.h>

class CGraflibRaw : public CGraflib
{
	public:

		bool Read(const char* Filename, SFileReadInfo* fri = NULL);
		int  Write(const char*  Filename, bool bComp, CFileIO* fio);

		bool OpenReadLine(const char*  Filename);
		bool OpenWriteLine(const char*  Filename);
		void CloseReadLine(void);
		void CloseWriteLine(void);

		void ReadLine(void* LineBuffer);
		void WriteLine(void* Scanline);

	protected:

		fstream* mFs;

};

#endif
